/****************************************************************************
                                                                   
                       DT2851 LIBRARY HEADER FILE                  
	Copyright (C) 1992...1997 Walter Fetter Lages <w.fetter@ieee.org> 

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
                                                                   
*****************************************************************************/

#ifndef _DT2851_H

#define _DT2851_H

#ifdef unix
#define far
#define cdecl
#endif

/* type definition */

typedef unsigned char line51[512];


/* board mode definition */

enum mode51
{
	FEEDBACK51      =0,
	VIDEO_IN51      =1,
	LOAD_LUT51      =4,
	SLOW_SCAN51     =5,
	PORT_OUT51      =6,
	PORT_IN51       =7
};

/* operation  mode definition */

enum opmode51
{
	SINGLE51        =0,
	MULTIPLE51      =1
};

/* bit-planes definition */

enum planes51
{
	PLANE_7_6_5_4_51        =0X08,
	PLANE_3_2_51            =0X04,
	PLANE_1_51              =0X02,
	PLANE_0_51              =0X01,
	NO_PLANE51              =0X00
};


/* video timing source definition */

enum TIMING51
{
	INTTIM51        =0,     /* internal timing */
	EXTTIM51        =1      /* external timing */
};

/* interrupts definiton */

enum interrupts51
{
	ON_DONE51       =0X01,  /* interrupt on done */
	ON_SYNC51       =0X02   /* interrupt on vertical sync */
};


/* function definition */

#ifdef __cplusplus

extern "C"
{

#endif

extern int cdecl far dtlibver51(void);                          /* dt library version number */

extern int cdecl far dtlibsubver51(void);                       /* dt library sub-version number */

extern void cdecl far setbaseadd51(int board,unsigned long memadd,unsigned ioadd); /* set base address */

extern void cdecl far init51(void);                             /* open library use */

extern void cdecl far clearboard51(int board);                  /* initialize one board */

extern void cdecl far setmode51(int board,int mode);            /* set the mode of operation */

extern int cdecl far getmode51(int board);                      /* get the mode of operation */

extern void cdecl far enableint51(int board,int intr);     /* enable interrupts */

extern void cdecl far disableint51(int board,int intr);     /* disable interrupts */

extern void cdecl far intack51(int board);                      /* interrupt acknowledge */

extern void cdecl far selectinlut51(int board,int inlut);       /* select input look-up table */

extern int cdecl far inlut51(int board);                        /* return selected input look-up  table */

extern void cdecl far selectoutlut51(int board,int outlut);     /* select output look-up table */

extern int cdecl far outlut51(int board);                       /* return selected output look-up table */

extern void cdecl far selectinbuf51(int board,int inbuffer);    /* select input buffer */

extern int cdecl far inbuf51(int board);                        /* return selected input buffer */

extern void cdecl far selectoutbuf51(int board,int outbuffer);  /* select output buffer */

extern int cdecl far outbuf51(int board);                       /* return selected output buffer */

extern void cdecl far setprotect51(int board,int planes);       /* set write protection to bit-planes */

extern int cdecl far protected51(int board);                    /* return write protected bit-planes */

extern void cdecl far start51(int board,int opmode);            /* start board operation on single operation or multiple operation mode */

extern void cdecl far stop51(int board);                        /* stop board operation after termination */

extern int cdecl far busy51(int board);                         /* return 1 if an operation is in progress */

extern void cdecl far setcursor51(int board,int status);        /* turn cursor on and off */

extern int cdecl far cursor51(int board);                       /* return cursor status */

extern void cdecl far setcursorpos51(int board,int x,int y);    /* set  cursor position */

extern void cdecl far getcursorpos51(int board,int far *x,int far *y);  /* get cursor position */

extern void cdecl far setdisplay51(int board,int status);       /* turn display on and off */

extern void cdecl far settiming51(int board,int source);        /* set video timing source */

extern int cdecl far timing51(int board);                       /* return video timing source */

extern int cdecl far display51(int board);                      /* return display status */

extern void cdecl far setinlut51(int board,int lut,int index,int value);        /* set input lut entry */

extern int cdecl far getinlut51(int board,int lut,int index);           /* get input lut value */

extern void cdecl far setoutlut51(int board,int lut,int index,int red,int green,int blue);      /* set output lut entry */

extern void cdecl far getoutlut51(int board,int lut,int index,int far *red,int far *green,int far *blue);       /* get output lut values */

extern int cdecl far field51(int board);                        /* return the field being displayed or digitized */

extern int cdecl far vsync51(int board);                        /* return 1 if vertical sync is ocurring */

extern int cdecl far frameproc51(int board);                    /* return 1 if there is a dt2858  board in the system */

extern int cdecl far exttrig51(int board);                      /* return the state  of the external trigger input */

extern void cdecl far writeline51(int board,int buffer,int line,void far *lineptr);     /* write a picture line */

extern void cdecl far readline51(int board,int buffer,int line,void far *lineptr);      /* read a picture line */

extern void cdecl far writepixel51(int board,int buffer,int x,int y,int color); /* write a pixel */

extern int cdecl far readpixel51(int board,int buffer,int x,int y);     /* read a pixel */

extern void cdecl far close51(void);                            /* close library use */

#ifdef __cplusplus

}

#endif

#endif
