/****************************************************************************
                                                                   
                       DT2851 LIBRARY HEADER FILE                  
	Copyright (C) 1992...1997 Walter Fetter Lages <w.fetter@ieee.org> 

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
                                                                   
*****************************************************************************/

#ifndef DT2851IO_H
#define DT2851IO_H

#include <asm/ioctl.h>

/* DT2851 library version definitions */
#define DTLIBVERSION	2
#define DTLIBSUBVERSION 1

enum DT2851_IOCTL
{
	CUR_ON=		_IO('D',0),		/* turn cursor on */
	CUR_OFF=	_IO('D',1),		/* turn cursor off */
	CUR_QUERY=	_IOR('D',2,int *),	/* query cursor position */

	CS_CLEAR=	_IO('D',3),		/* clear board */
	CS_SETMODE=	_IOW('D',4,int),	/* set mode */
	CS_MODE=	_IOR('D',5,int *),	/* get mode */
	CS_ENABLEINT=	_IOW('D',6,int),	/* enable interrupt */
	CS_DISABLEINT=	_IOW('D',7,int),	/* disable interrupt */
	CS_INTACK=	_IO('D',8),		/* interrupt acknowledge */
	CS_SELILUT=	_IOW('D',9,int),	/* select input LUT */
	CS_ILUT=	_IOR('D',10,int *),	/* get selected input LUT */
	CS_SELOLUT=	_IOW('D',11,int),	/* select output LUT */
	CS_OLUT=	_IOR('D',12,int *),	/* get selected output LUT */
	CS_SELIBUF=	_IOW('D',13,int),	/* select input buffer */
	CS_IBUF=	_IOR('D',14,int *),	/* get selected input buffer */
	CS_SELOBUF=	_IOW('D',15,int),	/* select output buffer */
	CS_OBUF=	_IOR('D',16,int *),	/* get selected output buffer */
	CS_SETPROT=	_IOW('D',17,int),	/* set write protected planes */
	CS_PROT=	_IOR('D',18,int *),	/* get write protected planes */
	CS_START=	_IOW('D',19,int),	/* start board operation */
	CS_STOP=	_IO('D',20),		/* stop board operation */
	CS_BUSY=	_IOR('D',21,int *),	/* return 1 if an operation is in progress */
	CS_DISPLAYON=	_IO('D',22),		/* set display on */
	CS_DISPLAYOFF=	_IO('D',23),		/* set display off */
	CS_SETTIMING=	_IOW('D',24,int),	/* set video timing source */
	CS_TIMING=	_IOR('D',25,int *),	/* get video timing source */
	CS_DISPLAY=	_IOR('D',26,int *),	/* get display status */
	CS_FIELD=	_IOR('D',27,int *),	/* return the field being displayed or digitized */
	CS_VSYNC=	_IOR('D',28,int *),	/* return 1 if vertical sync is ocurring */
	CS_FRPROC=	_IOR('D',29,int *),	/* return 1 if there is a dt2858  board in the system */
	CS_EXTTRG=	_IOR('D',30,int *),	/* return the state of the al trigger input */
};

#endif
